← Back to API Reference

/colors

Tag: colors

getGlobal library of unique colors for ASB Sports

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringFull color name (e.g., "GO Lt Grey (PMS Cool Grey 4)")
codequerystringUnique color code identifier (e.g., "GOLTGREY")
hex_valuequerystringHex color code (e.g., "#bcbcbc")
pantone_codequerystringPantone reference code (e.g., "PMS Cool Grey 4")
is_activequerystringWhether the color is active/enabled
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/colors?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postGlobal library of unique colors for ASB Sports

Parameters

NameInTypeFormatRequiredDescription
colorsbodyobjectcolors
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/colors" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "name": "example",
  "code": "example",
  "hex_value": "example",
  "is_active": true
}'

Responses

201Created

patchGlobal library of unique colors for ASB Sports

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringFull color name (e.g., "GO Lt Grey (PMS Cool Grey 4)")
codequerystringUnique color code identifier (e.g., "GOLTGREY")
hex_valuequerystringHex color code (e.g., "#bcbcbc")
pantone_codequerystringPantone reference code (e.g., "PMS Cool Grey 4")
is_activequerystringWhether the color is active/enabled
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
colorsbodyobjectcolors
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/colors?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"name": "example"}'

Responses

204No Content

deleteGlobal library of unique colors for ASB Sports

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringFull color name (e.g., "GO Lt Grey (PMS Cool Grey 4)")
codequerystringUnique color code identifier (e.g., "GOLTGREY")
hex_valuequerystringHex color code (e.g., "#bcbcbc")
pantone_codequerystringPantone reference code (e.g., "PMS Cool Grey 4")
is_activequerystringWhether the color is active/enabled
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/colors?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Global library of unique colors for ASB Sports

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
name
stringtextFull color name (e.g., "GO Lt Grey (PMS Cool Grey 4)")
code
stringtextUnique color code identifier (e.g., "GOLTGREY")
hex_value
stringtextHex color code (e.g., "#bcbcbc")
pantone_code
stringtextPantone reference code (e.g., "PMS Cool Grey 4")
is_active
booleanbooleanWhether the color is active/enabled
created_by
stringuuid
created_at
stringtimestamp with time zonenow()
updated_at
stringtimestamp with time zonenow()
deleted_at
stringtimestamp with time zoneSoft delete timestamp